Bug 1277276 - Search box not available on VM/Instance list page
Summary: Search box not available on VM/Instance list page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.5.0
Assignee: Harpreet Kataria
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-02 22:04 UTC by Nandini Chandra
Modified: 2015-12-08 13:43 UTC (History)
8 users (show)

Fixed In Version: 5.5.0.10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 13:43:11 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 0 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 17:58:09 UTC

Description Nandini Chandra 2015-11-02 22:04:52 UTC
Description of problem:
------------------------
Search box is not available on VM/Instance list page when the page is loaded.The Search box does become available once the page is refreshed through the 'Reload Current display' 


Version-Release number of selected component (if applicable):
------------------------
5.5.0.8


How reproducible:
----------------
Always


Steps to Reproduce:
------------------
1.Navigate to the Infrastructure->VM page.Alternatively,navigate to the Clouds->Instances page.


Actual results:
---------------
Search box is not available on VM/Instance list page.


Expected results:
-----------------
Search box should be available on VM/Instance list page at all times.


Additional info:
----------------

Comment 3 CFME Bot 2015-11-04 23:08:38 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/9de4614bd771954c28733d1f88b101996c445d5b

commit 9de4614bd771954c28733d1f88b101996c445d5b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Nov 4 16:48:09 2015 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Nov 4 16:48:09 2015 -0500

    Recovered code that loads/shows advanced box on initial load.
    
    This functionality was lost with removal of app/views/layouts/_dhtmlxlayout_explorer.html.haml in commit 6bc2a622403285e0db04e2afa42922861bea0e11 that used to load advanced search on explorer screens on initial load. Moved showing of advanced search to content.html.haml
    
    Fixes #5117
    https://bugzilla.redhat.com/show_bug.cgi?id=1277276

 app/views/layouts/_content.html.haml | 3 +++
 1 file changed, 3 insertions(+)

Comment 4 CFME Bot 2015-11-06 17:27:59 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=d1fbfd12ae3a01c50d6b4a5844e4af28d076fc5d

commit d1fbfd12ae3a01c50d6b4a5844e4af28d076fc5d
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Nov 4 16:48:09 2015 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Nov 4 18:06:48 2015 -0500

    Recovered code that loads/shows advanced box on initial load.
    
    This functionality was lost with removal of app/views/layouts/_dhtmlxlayout_explorer.html.haml in commit 6bc2a622403285e0db04e2afa42922861bea0e11 that used to load advanced search on explorer screens on initial load. Moved showing of advanced search to content.html.haml
    
    Fixes #5117
    https://bugzilla.redhat.com/show_bug.cgi?id=1277276
    (cherry picked from commit 9de4614)

 app/views/layouts/_content.html.haml | 3 +++
 1 file changed, 3 insertions(+)

Comment 5 CFME Bot 2015-11-06 17:28:05 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=a1e954c302ec34f5a866666125d7a7cc58c4f6bb

commit a1e954c302ec34f5a866666125d7a7cc58c4f6bb
Merge: 8b19e16 d1fbfd1
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Nov 6 12:19:34 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Fri Nov 6 12:19:34 2015 -0500

    Merge branch '55z_bz_1277276' into '5.5.z'
    
    Recovered code that loads/shows advanced box on initial load.
    
    This functionality was lost with removal of app/views/layouts/_dhtmlxlayout_explorer.html.haml in commit 6bc2a622403285e0db04e2afa42922861bea0e11 that used to load advanced search on explorer screens on initial load. Moved showing of advanced search to content.html.haml
    
    Fixes #5117
    https://bugzilla.redhat.com/show_bug.cgi?id=1277276
    (cherry picked from commit 9de4614)
    
    @dclarizi please review/merge, this is clean cherry-pick
    original PR: https://github.com/ManageIQ/manageiq/pull/5288
    
    See merge request !358

 app/views/layouts/_content.html.haml | 3 +++
 1 file changed, 3 insertions(+)

Comment 7 Nandini Chandra 2015-11-12 19:04:10 UTC
Verified in 5.5.0.10

Comment 9 errata-xmlrpc 2015-12-08 13:43:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551


Note You need to log in before you can comment on or make changes to this bug.